Update list by Id - Fabric
Update list by Id
cURL
curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/list/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Wishlist",
"userId": null,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}"
payload = {
"name": "Wishlist",
"userId": None,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Wishlist',
userId: null,
listId: '5349b4ddd2781d08c09890f4',
listType: 'Wish list',
notes: 'Add items to your wishlist to purchase later',
attributes: {attr1: 'value1', attr2: 'value2'},
count: 0,
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/list/{listId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Wishlist',
'userId' => null,
'listId' => '5349b4ddd2781d08c09890f4',
'listType' => 'Wish list',
'notes' => 'Add items to your wishlist to purchase later',
'attributes' => [
'attr1' => 'value1',
'attr2' => 'value2'
],
'count' => 0,
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/list/{listId}"
payload := strings.NewReader(`{
"name": "Wishlist",
"userId": null,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}`)
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/list/{listId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Wishlist\",\n \"userId\": null,\n \"listId\": \"5349b4ddd2781d08c09890f4\",\n \"listType\": \"Wish list\",\n \"notes\": \"Add items to your wishlist to purchase later\",\n \"attributes\": {\n \"attr1\": \"value1\",\n \"attr2\": \"value2\"\n },\n \"count\": 0,\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"}\n")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/list/{listId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Wishlist\",\n \"userId\": null,\n \"listId\": \"5349b4ddd2781d08c09890f4\",\n \"listType\": \"Wish list\",\n \"notes\": \"Add items to your wishlist to purchase later\",\n \"attributes\": {\n \"attr1\": \"value1\",\n \"attr2\": \"value2\"\n },\n \"count\": 0,\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"}"
response = http.request(request)
puts response.read_body
Response Examples
Success (200)
{
"name": "Wishlist",
"userId": null,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
Bad Request (400)
{
"message": "Bad Request"
}
Not Found (404)
{
"message": "Object Not Found."
}
Internal Server Error (500)
{
"message": "Internal Server Error"
}
Authorizations
Bearer <token> - Bearer authentication header required for access.
Path Parameters
listId: Id of the list that is updated. Example: "62fa3796841ea417fa71d2a9"
Request Body Parameters
name: Name of the list (required).
userId: User ID (required).
listId: The ID of the list.
listType: Type of the list (e.g., "Wish list").
notes: Notes associated with the list.
attributes: Additional attributes for the list.
count: Number of items in the list (must be >= 0).
createdAt: Creation timestamp of the list.
updatedAt: Last update timestamp of the list.